local function bootstrap(pkg, repo)
    local plug_dir = vim.fn.stdpath('data') .. '/site/pack/packer/start/' .. pkg
    if vim.fn.isdirectory(plug_dir) ~= 1 then
        vim.fn.system({ 'git', 'clone', '--depth', '1', repo, plug_dir })
        vim.cmd.packadd(pkg)
        return true
    end
    return false
end

_G.first_launch = bootstrap('packer.nvim', 'https://github.com/wbthomason/packer.nvim')

bootstrap('tangerine.nvim', 'https://github.com/udayvir-singh/tangerine.nvim')
require('tangerine').setup({
    compiler = {
        hooks = {
            "oninit"
        }
    }
})
